<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Problem Number121</title>
</head>

<body>
				<h2> JavaScript Excercise </h2>
	
	<p> <b> No.121:</b> Write a JavaScript program to check if a given matrix is lower triangular or not. </p>
	
	<p> <b> Solution :</b></p>
	<div style="border: 1px dashed black; padding: 20px; width: 550px; height: auto;">
		<p> Circles Detail :</p>
		<input type="number" id="num" placeholder="Square Matrix Value">
	  <input type="button" onClick="generate()" name="gen" value="Tap Here To Generate Matrix" style="margin-top: 5px;">
	  <pre id="demo"></pre>
	</div>	
	<script>
	  function generate(){
		  var num = + document.getElementById('num').value;
		  var matrix = [];
		  for ( i = 0 ; i < num ; i++){
			  matrix[i] = [] ;
			  for ( j = 0 ; j< num ; j++) {
				  matrix[i].push(prompt("Enter Element" + (i+1) + "" + (j+1)));
				  matrix[i] = matrix[i].map(Number);
			  }
		  }
		  for ( i = 0 ; i < num ; i++) {
			  for ( j = 0 ; j < num ; j++){
				  if ( matrix[i][j] == 0 && j > i){
					  document.getElementById('demo').innerHTML=
						  "Matrix is:<br>" + matrix.join('<br>') + 
						  "<br>And it`s lower triangular"
				  } else {
					  document.getElementById('demo').innerHTML=
						  "Matrix is:<br>" + matrix.join('<br>') + 
						  "<br>And it`s NOT lower triangular"					  
				  }
			  }
		  }
	  }
	</script>
</body>
</html>
